Last Comment Bug 652400 - Component Watching does not respect email preferences
: Component Watching does not respect email preferences
Status: RESOLVED FIXED
:
Product: bugzilla.mozilla.org
Classification: Other
Component: Extensions: ComponentWatching (show other bugs)
: Production
: x86 Windows XP
: -- enhancement with 1 vote (vote)
: ---
Assigned To: Byron Jones ‹:glob›
:
Mentors:
: 652437 652512 (view as bug list)
Depends on:
Blocks: bmo-regressions 652419
  Show dependency treegraph
 
Reported: 2011-04-24 01:00 PDT by Josh Matthews [:jdm]
Modified: 2011-10-18 09:45 PDT (History)
19 users (show)
See Also:
Due Date:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Josh Matthews [:jdm] 2011-04-24 01:00:28 PDT
I used to have a number of QA contacts in my watchlist, but moved them to be component watches. However, I now get _every_ email for that component, rather than my filtered user watch mails. For example, I turned off receiving mails about the CC field being updated, but now I'm getting them again because there's no granularity for watching components.
Comment 1 Frédéric Buclin 2011-04-24 15:39:39 PDT
*** Bug 652437 has been marked as a duplicate of this bug. ***
Comment 2 Frédéric Buclin 2011-04-25 07:31:17 PDT
*** Bug 652512 has been marked as a duplicate of this bug. ***
Comment 3 Jeff Walden [:Waldo] (remove +bmo to email) 2011-04-27 16:22:34 PDT
I switched my email watches to component watches, hit this, and had to switch back as well.  Component watching isn't useful to me if I also have to weed out CCs and the like.  For this to work, I think it needs to respect a separate column in the email preferences table for "When my relationship to this bug is:".
Comment 4 Josh Matthews [:jdm] 2011-05-02 16:48:05 PDT
Byron, I've been reading the source of User.pm and the component watching extension, and this doesn't look like a trivial fix to me. However, I'd like to propose a temporary workaround that will let me stop being bombarded by CC messages, since I really don't want to have to go through the process of converting my component watches again. From ComponentWatchingExtension.pm:

>192 while (my ($uid) = $sth->fetchrow_array) {
>193   if (!exists $recipients->{$uid}) {
>194     $recipients->{$uid}->{+REL_COMPONENT_WATCHER} = 1;
>195   }
>196 }

Let's change 194 to |$recipients->{$uid}->{+REL_QA} = 1;| which will take us back to the status quo, since that's how we use to fake component watching. Please?
Comment 5 Byron Jones ‹:glob› 2011-05-03 00:33:02 PDT
thanks josh; i have a full fix in hand which i'm currently testing, so this issue should be resolved soon :)
Comment 6 Byron Jones ‹:glob› 2011-05-03 01:19:13 PDT
Committing to: bzr+ssh://bjones%40mozilla.com@bzr.mozilla.org/bmo/4.0/
modified Bugzilla/User.pm
modified extensions/ComponentWatching/Extension.pm
added extensions/ComponentWatching/reset-watch-preferences.pl
added extensions/ComponentWatching/template/en/default/hook/account/prefs/email-relationships.html.tmpl
Committed revision 7658.

note to self: after upgrading the server, the extensions/ComponentWatching/reset-watch-preferences.pl script needs to be executed.
Comment 7 Mark Banner (:standard8) 2011-05-03 06:52:09 PDT
Has this actually been deployed yet? (if not, how do I know when?)

I just got cc info for a component I'm watching via this that was sent about 15 mins ago - in my email preferences, I've got "The CC field changes" completely turned off.
Comment 8 Byron Jones ‹:glob› 2011-05-03 07:21:20 PDT
(In reply to comment #7)
> Has this actually been deployed yet?

not yet, sorry.  it's on our staging environment for final testing

> if not, how do I know when?

i'll comment here when it's live.
Comment 9 Byron Jones ‹:glob› 2011-05-05 22:39:40 PDT
(In reply to comment #8)
> i'll comment here when it's live.

it's live.
Comment 10 David Baron :dbaron: ⌚️UTC+2 (review requests must explain patch) 2011-05-05 23:17:36 PDT
I don't understand why the "I'm added to or removed from this capacity" box is grayed out for Component -- I do want to get email when a bug is moved into a component that I watch.
Comment 11 Byron Jones ‹:glob› 2011-05-05 23:33:03 PDT
(In reply to comment #10)
> I don't understand why the "I'm added to or removed from this capacity" box
> is grayed out for Component -- I do want to get email when a bug is moved
> into a component that I watch.

that checkbox means "email me when i start watching a component" -- like how the CCed checkbox on the row means "email me when i'm CCed on a bug".

if you're watching a component you should always receive a notification when a bug is moved into that component.

Note You need to log in before you can comment on or make changes to this bug.